# $Revision: 1.9.2.3 $, $Date: 2003/03/13 00:56:44 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-DSA
Summary:	Crypt::OpenSSL::DSA - Digital Signature Algorithm using OpenSSL
Summary(pl):	Modu Perla Crypt::OpenSSL::DSA - algorytm DSA uywajcy OpenSSL
Name:		perl-Crypt-OpenSSL-DSA
Version:	0.11
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	openssl-devel >= 0.9.6i
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::DSA implements the DSA (Digital Signature Algorithm)
signature verification system.

%description -l pl
Modu Crypt::OpenSSL::DSA jest implementacj systemu weryfikacji
podpisw DSA (Digital Signature Algorithm).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

##### were disabled - some of tests fail randomly ?
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Crypt/OpenSSL/DSA.pm
%dir %{perl_sitearch}/auto/Crypt/OpenSSL/DSA
%{perl_sitearch}/auto/Crypt/OpenSSL/DSA/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/OpenSSL/DSA/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-OpenSSL-DSA.spec,v $
Revision 1.9.2.3  2003/03/13 00:56:44  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.9.2.2  2003/03/12 22:35:53  ankry
- BR: openssl-devel >= 0.9.6i

Revision 1.9.2.1  2003/02/28 14:08:01  ankry
- do not require openssl 0.9.7

Revision 1.9  2003/02/25 00:37:43  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:29:18  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.6  2003/01/15 17:52:27  mis
- autoupdated to 0.11

Revision 1.5  2002/10/05 21:12:47  ankry
- updated to 0.10
- tests seem to work now
- remove .pod file

Revision 1.4  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.3  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.2  2002/07/20 10:18:03  qboosh
- added OPTIMIZE

Revision 1.1  2002/07/19 23:05:47  ankry
- initial spec, STBR
